Bug 242474 - PANIC: CPU too old for this kernel. with Crusoe CPU
PANIC: CPU too old for this kernel. with Crusoe CPU
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
i386 Linux
low Severity low
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-04 09:55 EDT by CHIKAMA Masaki
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version: kernel-2.6.21-1.3235.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-25 14:44:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description CHIKAMA Masaki 2007-06-04 09:55:41 EDT
Description of problem:
My old laptop PC with Crusoe CPU failed to boot with this message.
PANIC: CPU too old for this kernel.

Version-Release number of selected component (if applicable):
2.6.21-1.3200.fc8 (i586 and i686)

Additional info:

Rebuilding with CONFIG_M486=y works fine so far.
(Sorry, I tried with vanilla 2.6.22-rc3 kernel)

This problem seems to related to the flowing thread.
http://www.uwsg.iu.edu/hypermail/linux/kernel/0705.2/0499.html

Also it booted with 2.6.20-1.2952.fc6 and 2.6.21-1.3194.fc7 kernel.
Comment 1 CHIKAMA Masaki 2007-06-04 09:56:53 EDT
Oh, I forgot to attach cpuinfo.



processor       : 0
vendor_id       : GenuineTMx86
cpu family      : 6
model           : 4
model name      : Transmeta(tm) Crusoe(tm) Processor TM5600
stepping        : 3
cpu MHz         : 500.000
cache size      : 512 KB
fdiv_bug        : no
hlt_bug         : no
f00f_bug        : no
coma_bug        : no
fpu             : yes
fpu_exception   : yes
cpuid level     : 1
wp              : yes
flags           : fpu vme de pse tsc msr cx8 cmov mmx longrun constant_tsc up
bogomips        : 1196.55
clflush size    : 32
Comment 2 Dave Jones 2007-06-23 15:01:08 EDT
this should be fixed in current f8 builds ?
Comment 3 CHIKAMA Masaki 2007-06-24 21:25:11 EDT
Yes.
kernel-2.6.21-1.3235.fc8.i686.rpm is booted.

But [Bug 242472]'s patch doesn't go upstream yet.
So I get another panic.
Please push.

Note You need to log in before you can comment on or make changes to this bug.